<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
    .square{
        height: 300px;
        width: 300px;
        background: red;
    }
    button{
        height: 40px;
        margin-left: 100px;
    }
    </style>
    <script>
        function changeColor(){
            document.getElementById('square').style.background="yellow"
        }
    </script>
</head>
<body>
    <div>
        <div class="square" id="square">
       
        </div>
        <button onclick="changeColor()"> Change Color</button>
    </div>
    <script>
    function show_result(){
        var input = document.getElementById('message');
        var div = document.getElementById('result')
        div.innerHTML= input.value;
    }
    </script>
    <br>
    <input type="text" id="message" onkeyup="show_result()" />
    <div id="result"></div>
</body>
</html>